WWatchLLM
patch/api/v2/tags/{id}

Rename a prompt tag.

Rename a prompt tag.

Requires bearer API key

Parameters

NameInDescription
X-Project-IdheaderRequired for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.string
idpath / requiredNo description provided.string

Request Body

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "name": {
      "type": "string"
    }
  },
  "required": [
    "name"
  ]
}

Responses

200

Successful JSON response.

application/json
{
  "type": "object",
  "additionalProperties": true,
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "promptCount": {
      "type": "integer"
    }
  },
  "required": [
    "id",
    "name",
    "promptCount"
  ]
}

Try it

Send this request to the local WatchLLM REST handler. Use a key from /workspace/api; organization keys can include X-Project-Id only when the endpoint documents that header.